# debug/deque File Reference

Go to the source code of this file.

## Classes

- class std::__debug::deque< _Tp, _Allocator >
    Class std::deque with safety/checking/debug instrumentation. More...

## Namespaces

- namespace std
- namespace std::__debug

## Functions

- template<typename _Tp , typename _Alloc > bool std::__debug::operator!= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator< (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator<= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator== (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator> (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator>= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > void std::__debug::swap (deque< _Tp, _Alloc > &__lhs, deque< _Tp, _Alloc > &__rhs)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/deque.